cascading.flow.tez.stream.graph

## Class Hadoop2TezStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph
    - - cascading.flow.tez.stream.graph.Hadoop2TezStreamGraph

-     public class Hadoop2TezStreamGraph
      extends NodeStreamGraph

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `elementGraph, flowProcess, node, streamedSource`

    - ### Fields inherited from class cascading.flow.stream.graph.StreamGraph

      `DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hadoop2TezStreamGraph(Hadoop2TezFlowProcess currentProcess, FlowNode flowNode, Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap, Map<String,org.apache.tez.runtime.api.LogicalOutput> outputMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildGraph()`
    `protected Duct` | `createBoundaryStage(Boundary element, IORole role)`
    `protected Gate` | `createCoGroupGate(CoGroup element, IORole role)`
    `protected Gate` | `createGroupByGate(GroupBy element, IORole role)`
    `protected Duct` | `createMergeStage(Merge element, IORole role)`
    `protected MemoryHashJoinGate` | `createNonBlockingJoinGate(HashJoin join)`
    `protected Gate` | `createSinkGroupByGate(GroupBy element)`
    `protected SinkStage` | `createSinkStage(Tap sink)`
    `protected Gate` | `createSourceGroupByGate(GroupBy element)`
    `protected SourceStage` | `createSourceStage(Tap source, FlowProcess flowProcess)`
    `InputSource` | `getStreamedHead()`

    - ### Methods inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `createBlockingJoinGate, createHashJoinGate, findExisting, getProperty, handleDuct, setScopes, setTraps`

    - ### Methods inherited from class cascading.flow.stream.graph.StreamGraph

      `addHead, addPath, addPath, addTail, asPathList, bind, cleanup, countAllEventingPathsTo, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getOrdinalMap, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printGraph, printGraph, printGraphError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hadoop2TezStreamGraph

          public Hadoop2TezStreamGraph(Hadoop2TezFlowProcess currentProcess,
                               FlowNode flowNode,
                               Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap,
                               Map<String,org.apache.tez.runtime.api.LogicalOutput> outputMap)

  - ### Method Detail

    - #### getStreamedHead

          public InputSource getStreamedHead()

    - #### buildGraph

          protected void buildGraph()

    - #### createSourceStage

          protected SourceStage createSourceStage(Tap source,
                                      FlowProcess flowProcess)

    - #### createSinkStage

          protected SinkStage createSinkStage(Tap sink)

      Overrides:
        `createSinkStage` in class `NodeStreamGraph`

    - #### createMergeStage

          protected Duct createMergeStage(Merge element,
                              IORole role)

      Overrides:
        `createMergeStage` in class `NodeStreamGraph`

    - #### createBoundaryStage

          protected Duct createBoundaryStage(Boundary element,
                                 IORole role)

      Overrides:
        `createBoundaryStage` in class `NodeStreamGraph`

    - #### createGroupByGate

          protected Gate createGroupByGate(GroupBy element,
                               IORole role)

      Specified by:
        `createGroupByGate` in class `NodeStreamGraph`

    - #### createCoGroupGate

          protected Gate createCoGroupGate(CoGroup element,
                               IORole role)

      Specified by:
        `createCoGroupGate` in class `NodeStreamGraph`

    - #### createSinkGroupByGate

          protected Gate createSinkGroupByGate(GroupBy element)

    - #### createSourceGroupByGate

          protected Gate createSourceGroupByGate(GroupBy element)

    - #### createNonBlockingJoinGate

          protected MemoryHashJoinGate createNonBlockingJoinGate(HashJoin join)

      Overrides:
        `createNonBlockingJoinGate` in class `NodeStreamGraph`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.